PDE build: Bundle failed to resolve

by Jay Jonas

When exporting a feature, or a product based on features you get an error like:

Processing inclusion from feature <your feature here>: Bundle org.eclipse.core.net.linux.x86 <version here> failed to resolve.:

This is caused by a missing window system/operating system/architecture filter on the fragment’s inclusion in the feature.xml. This can easily be set in the Plug-ins Tab of the feature editor by selecting the fragment on the left and specifying the Operating System, Window System and Architecture on the right.

Plugins and Fragments

Plugin details in Plugins and Fragments editor

Quoted from Eclipse PDE Build FAQ.

Advertisements
Tags:

One Comment to “PDE build: Bundle failed to resolve”

  1. I think this happens only for fragments while mult-plattform export.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: